> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/reports/list-suppliers-commission-sales-payouts.md).

# List suppliers' commission sales payouts

List suppliers' payouts for commission sales in a time period. Optionally filter on commission sales that are paid/not paid.

Required permissions: REPORTING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Reports","description":"Reports"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"SupplierPayoutListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items","paging"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SupplierPayoutResponseSchema"}}}}}}}},"schemas":{"SupplierPayoutResponseSchema":{"title":"SupplierPayoutResponseSchema","type":"object","required":["supplier","commissionSales","payoutsTotal","payoutsCount"],"properties":{"supplier":{"$ref":"#/components/schemas/SupplierResponseSchema"},"commissionSales":{"type":"array","items":{"$ref":"#/components/schemas/CommissionSaleResponseSchema"}},"payoutsTotal":{"type":"integer"},"payoutsCount":{"type":"integer"}}},"SupplierResponseSchema":{"title":"SupplierResponseSchema","type":"object","required":["address","city","contactEmail","contactName","countryCode","createdAt","email","externalId","lastModifiedAt","name","phone","postalCode","supplierUid","vatNumber","active","bankInfo","fixedDiscountRate","currency","freightPercentage"],"properties":{"address":{"type":"string"},"city":{"type":"string"},"contactEmail":{"$ref":"#/components/schemas/EmailTYPE"},"contactName":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"supplierUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"active":{"type":"boolean"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"fixedDiscountRate":{"type":"integer"},"currency":{"type":"string","description":"ISO 4217 code"},"freightPercentage":{"type":"integer"},"representedStoreUid":{"allOf":[{"$ref":"#/components/schemas/UID"}],"description":"Inter-store trade: the store this supplier represents (the seller). Only set when the INTER_STORE_TRADE extension is active."}}},"EmailTYPE":{"title":"Email","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift","giroAccountNumber"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"},"giroAccountNumber":{"type":"string","description":"National giro/payment-slip creditor account tied to the bank account, e.g. the Danish FIK creditor number (8 digits). Used to emit a giro payment block (FIK) on electronic invoices."}}},"CommissionSaleResponseSchema":{"title":"CommissionSaleResponseSchema","type":"object","required":["payoutAmount","paidAt","paid","commissionPercentage","commissionAmount","salesPrice","productSku","productName","orderNumber","orderSettledAt","commissionUid","orderProductLineUid","orderUid"],"properties":{"payoutAmount":{"type":"integer"},"paidAt":{"type":"string","format":"date-time"},"paid":{"type":"boolean"},"commissionPercentage":{"type":"integer"},"commissionAmount":{"type":"integer"},"salesPrice":{"type":"integer","description":"copy of LineTotal from OrderProductLine"},"productSku":{"type":"string"},"productName":{"type":"string"},"orderNumber":{"type":"string","description":"reference to the sales order"},"orderSettledAt":{"type":"string","format":"date-time"},"commissionUid":{"$ref":"#/components/schemas/UID"},"orderProductLineUid":{"$ref":"#/components/schemas/UID"},"orderUid":{"$ref":"#/components/schemas/UID"}}},"SupplierPayoutListRequestSchema":{"title":"SupplierPayoutListRequestSchema","type":"object","required":["fromDate","toDate"],"properties":{"fromDate":{"type":"string","format":"date","description":"GTE"},"toDate":{"type":"string","format":"date","description":"LTE"},"paid":{"type":"boolean","description":"filter on paid/not paid"},"supplierUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"productGroupUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"scope":{"$ref":"#/components/schemas/SupplierPayoutScopeENUM"}}},"SupplierPayoutScopeENUM":{"title":"SupplierPayoutFilterENUM","type":"string","enum":["STOCK_ONLY","PROVISION_ONLY"]}},"requestBodies":{"SupplierPayoutListRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupplierPayoutListRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/reports/suppliers/payouts":{"post":{"summary":"List suppliers' commission sales payouts","tags":["Reports"],"responses":{"200":{"$ref":"#/components/responses/SupplierPayoutListResponse"}},"operationId":"post-reports-suppliers-payouts","description":"List suppliers' payouts for commission sales in a time period. \nOptionally filter on commission sales that are paid/not paid.\n\nRequired permissions: REPORTING","requestBody":{"$ref":"#/components/requestBodies/SupplierPayoutListRequest"}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/reports/list-suppliers-commission-sales-payouts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
